class_name LookAtTargetCommand extends CutsceneCommand

@export_node_path("CharacterBase") var character: NodePath
@export_node_path("Node2D") var lookat_target: NodePath

func get_direction(manager: CutsceneManager) -> Vector2:
	var target_character: CharacterBody2D = manager.root.get_node(character)
	var target_position: Node2D = manager.root.get_node(lookat_target)
	assert(target_character != target_position)
	return target_character.global_position.direction_to(target_position.global_position)
